| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iKDTreeUserData Struct Reference
[Geometry utilities]

The data type for user data to be attached to the KDTree. More...

`#include <csgeom/kdtree.h>`

Inheritance diagram for iKDTreeUserData:

[legend]
List of all members.

## Detailed Description

The data type for user data to be attached to the KDTree.

It provides no functions but makes it possible to do a direct cast for performance instead of doing an scfQueryInterface.

Definition at line 62 of file kdtree.h.

The documentation for this struct was generated from the following file:

- csgeom/kdtree.h